cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 7

NCM Connector for Cisco SmartAdvisor Error - ERROR SolarWinds.NCM.DataCollector.Jobs.InventoryJob

Good afternoon

UPDATE:  We are running Windows Server 2016 which only has the client version of version 4.0.3 of the .net run time - I assume this product is not yet compatible with Windows Server 2016?

I have installed and configured the Cisco SmartAdvisor Connector for NCM

The scan gets as far as scanning and identifying nodes it counts our devices and once it has finished processing these devices an error is thrown:

*** Assembly NCMSAConnector, Version=1.5.0.0, Culture=neutral, PublicKeyToken=null, .NET version v4.0.30319 ***

*** Assembly SolarWinds.NDS.Engine, Version=1.5.0.0, Culture=neutral, PublicKeyToken=null, .NET version v4.0.30319 ***

*** Assembly SolarWinds.NCM.Common, Version=1.5.0.0, Culture=neutral, PublicKeyToken=null, .NET version v4.0.30319 ***

2019-01-24 15:36:42,103 [1] INFO  CdsAssessment.ViewModel.ReportsViewModel - Requests status updating.

2019-01-24 15:36:42,103 [1] INFO  CdsAssessment.ViewModel.ReportsViewModel - ReportsViewModel.UpdateReports()

2019-01-24 15:36:42,119 [1] INFO  CdsAssessment.ViewModel.ReportsViewModel - Adding report requests.

*** Assembly SolarWinds.InformationService.Contract2, Version=2016.2.0.40, Culture=neutral, PublicKeyToken=null, .NET version v4.0.30319 ***

2019-01-24 15:37:35,933 [7] INFO  SolarWinds.CDS.Engine.CDSEngine - cds registration id is: 30765

2019-01-24 15:37:36,886 [7] INFO  SolarWinds.CDS.Engine.CDSEngine - cds transaction id is: SW167719

*** Assembly SolarWinds.NCM.DataCollector, Version=1.5.0.0, Culture=neutral, PublicKeyToken=null, .NET version v4.0.30319 ***

*** Assembly SolarWinds.NCM.Inventory, Version=1.5.0.0, Culture=neutral, PublicKeyToken=null, .NET version v4.0.30319 ***

2019-01-24 15:37:36,917 [19] ERROR SolarWinds.NCM.DataCollector.Jobs.InventoryJob - JobName:'Iventory'- internalExecute - Exception:System.Runtime.InteropServices.COMException (0x80131700): Creating an instance of the COM component with CLSID {DF3FAF55-8363-4A93-BC9F-21B0BAECDA04} from the IClassFactory failed due to the following error: 80131700 Failed to load the runtime. (Exception from HRESULT: 0x80131700).

   at System.RuntimeTypeHandle.CreateInstance(RuntimeType type, Boolean publicOnly, Boolean noCheck, Boolean& canBeCached, RuntimeMethodHandleInternal& ctor, Boolean& bNeedSecurityCheck)

   at System.RuntimeType.CreateInstanceSlow(Boolean publicOnly, Boolean skipCheckThis, Boolean fillCache, StackCrawlMark& stackMark)

   at System.RuntimeType.CreateInstanceDefaultCtor(Boolean publicOnly, Boolean skipCheckThis, Boolean fillCache, StackCrawlMark& stackMark)

   at System.Activator.CreateInstance(Type type, Boolean nonPublic)

   at System.Activator.CreateInstance(Type type)

   at SolarWinds.NCM.Inventory.InventoryEngine..ctor()

   at SolarWinds.NCM.Inventory.InventoryEngine.get_Instance()

   at SolarWinds.NCM.DataCollector.Jobs.InventoryJob.internalExecute(String& fatalErrorMsg)

Please can anyone advise on what is failing and offer any advice to resolve this?

Regards

Rob

Message was edited by: Rob Smith - 16:26 - 24/01/19

0 Kudos
5 Replies
Level 12

rbrtsmith​ I can help you with this, I need to do some digging but will reach back out to you.

0 Kudos

That's great thanks jpetkevich​ - I look forward to hearing from you.

0 Kudos

We are compatible with 2016 and the issue is the .Net version. The workaround is to roll back to .Net v3.5 and everything should work without issue. 

HI,

 

While installing the .net 3.5 version. we are getting below error. any solution. 

 

SFXCA: Failed to get requested CLR info. Error code 0x80131700
SFXCA: Ensure that the proper version of the .NET Framework is installed, or that there is a matching supportedRuntime element in CustomAction.config. If you are binding to .NET 4 or greater add useLegacyV2RuntimeActivationPolicy=true to the <startup> element.
CustomAction TryStartModuleEngineService returned actual error code 1603 (note this may not be 100% accurate if translation happened inside sandbox)
0 Kudos

@jpetkevich 

Any updates on this? 

It's been over a year and I'm still seeing this same error on Server 2016 with .Net 4.8

0 Kudos